merge-to-master:
    stage: merge-to-master
    image: docker.io/laylatichy/ci:gitzx
    needs:
        -   job:       composer
            artifacts: false
        -   job:       npm
            artifacts: false
        -   job:       phpcsfixer
            artifacts: false
        -   job:       zx
            artifacts: false
        -   job:       phpunit
            artifacts: false
        -   job:       phpstan
            artifacts: false
    before_script:
        - git config --global user.email "$GITLAB_USER_EMAIL"
        - git config --global user.name "$GITLAB_USER_ID"
        - git remote set-url origin git@gitlab.com:$CI_PROJECT_PATH.git
    script:
        - git fetch
        - git checkout master
        - git reset --hard origin/master
        - git merge $CI_BUILD_REF
        - git push origin master
    retry: 2
    only:
        - dev
